import { BrsComponent } from "./BrsComponent";
import { BrsValue, ValueKind, BrsBoolean } from "../BrsType";
import { BrsType } from "..";
import { Unboxable } from "../Boxing";
import { Double } from "../Double";
export declare class RoDouble extends BrsComponent implements BrsValue, Unboxable {
    readonly kind = ValueKind.Object;
    private intrinsic;
    getValue(): number;
    constructor(initialValue: Double);
    unbox(): Double;
    copy(): RoDouble;
    equalTo(other: BrsType): BrsBoolean;
    toString(_parent?: BrsType): string;
    private readonly getDouble;
    private readonly setDouble;
}
